Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.exchange
Class InMessage

    java.lang.Object
      org.codehaus.xfire.exchange.AbstractMessage
          org.codehaus.xfire.exchange.InMessage

    public class InMessage

extends AbstractMessage

A "in" message. These arrive at endpoints.

Author:
  Dan Diephouse

Field Summary

Fields inherited from class org.codehaus.xfire.exchange.AbstractMessage
`ANONYMOUS_URI`

Constructor Summary
`InMessage()`
`InMessage(javax.xml.stream.XMLStreamReader xmlStreamReader)`
`InMessage(javax.xml.stream.XMLStreamReader xmlStreamReader, java.lang.String uri)`

Method Summary
`javax.xml.stream.XMLStreamReader` | `getXMLStreamReader()`
`void` | `setXMLStreamReader(javax.xml.stream.XMLStreamReader xmlStreamReader)`

Methods inherited from class org.codehaus.xfire.exchange.AbstractMessage
`getAction, getAttachments, getBody, getChannel, getEncoding, getHeader, getProperty, getSoapVersion, getUri, hasHeader, setAction, setAttachments, setBody, setChannel, setEncoding, setHeader, setProperty, setSoapVersion, setSoapVersion, setUri, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InMessage

    public InMessage()

### InMessage

    public InMessage(javax.xml.stream.XMLStreamReader xmlStreamReader)

### InMessage

    public InMessage(javax.xml.stream.XMLStreamReader xmlStreamReader,
                     java.lang.String uri)

Method Detail

### setXMLStreamReader

    public void setXMLStreamReader(javax.xml.stream.XMLStreamReader xmlStreamReader)

### getXMLStreamReader

    public javax.xml.stream.XMLStreamReader getXMLStreamReader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.